# Step 5 - Set first deduction date

{% hint style="info" %}
In order for the system to know when to start calculating and deducting taxes, we need to set the first date for the first tax settlement. **(You only have to do this once!)**
{% endhint %}

1. Set `Config.setupMode` in your Config to true

   <pre class="language-lua" data-full-width="false"><code class="lang-lua">Config.setupMode = true
   </code></pre>
2. Restart the script via the server console
3. Use the command `setTaxDate YYYY-MM-DD HH:MM:SS` to set the first date\
   example: `setTaxDate 2023-12-16 20:00:00`\
   In this case the taxes would be deducted at `2023-12-16 20:00:00` for the first time.\
   \
   The next date is generated automatically, depending on the days you have set (Config.payTaxInterval), and saved in the database.
4. Set `Config.setupMode` in your Config to false

   ```lua
   Config.setupMode = false
   ```
5. Restert the script via the server console


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gpscripts.dev/tax-system/installation/step-5-set-first-deduction-date.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
